Bug 683552 - Review Request: mysql-connector-python - MySQL Connector/Python
Summary: Review Request: mysql-connector-python - MySQL Connector/Python
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Pierre-YvesChibon
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 683047
TreeView+ depends on / blocked
 
Reported: 2011-03-09 17:12 UTC by Remi Collet
Modified: 2012-07-27 12:31 UTC (History)
3 users (show)

Fixed In Version: mysql-connector-python-0.3.2-2.fc15
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-03-30 19:55:48 UTC
pingou: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Remi Collet 2011-03-09 17:12:10 UTC
Spec URL: https://github.com/remicollet/remirepo/raw/master/mysql-connector-python/mysql-connector-python.spec
SRPM URL: http://remi.fedorapeople.org/mysql-connector-python-0.3.2-1.remi.src.rpm
Description: 
MySQL Connector/Python is implementing the MySQL Client/Server protocol
completely in Python. No MySQL libraries are needed, and no compilation
is necessary to run this Python DB API v2.0 compliant driver.

-- 

This library is an new dependency of MySQL-Workbench (version >= 5.2.32)

Koji : http://koji.fedoraproject.org/koji/taskinfo?taskID=2897886
Rpmlint is silent

Comment 1 Pierre-YvesChibon 2011-03-20 09:32:40 UTC
Couple of things quickly:
- Could you check if you can add the unittest ?
- I think the license should be GPLv2 with exceptions
- Choose between the bash command or their macro (ie: rm -rf vs %{_rm})
- Have you consider having a sub-package for python3 ?

Comment 2 Remi Collet 2011-03-20 09:38:09 UTC
Latest spec 
https://github.com/remicollet/remirepo/blob/master/mysql-connector-python/mysql-connector-python.spec

- unitest run during check
- fix License
- fix macro

Comment 5 Pierre-YvesChibon 2011-03-20 10:17:59 UTC
[OK] rpmlint must be run on every package.
     rpmlint rpmbuild/SRPMS/mysql-connector-python-0.3.2-2.fc15.src.rpm rpmbuild/RPMS/noarch/mysql-connector-python-0.3.2-2.fc15.noarch.rpm rpmbuild/RPMS/noarch/mysql-connector-python3-0.3.2-2.fc15.noarch.rpm
3 packages and 0 specfiles checked; 0 errors, 0 warnings.

[OK] The package must be named according to the Package Naming Guidelines.

[OK] The spec file name must match the base package %{name}, in the format
      %{name}.spec unless your package has an exemption.

[OK] The package must meet the Packaging Guidelines.

[OK] The package must be licensed with a Fedora approved license and meet the Licensing Guidelines.
    License is GPLv2 with exceptions 

[OK] The License field in the package spec file must match the actual license.

[OK] If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s) for
     the package must be included in %doc.

[OK] The spec file must be written in American English.

[OK] The spec file for the package MUST be legible.

[OK] The sources used to build the package must match the upstream source, as
      provided in the spec URL.
   (sha1sum)
   sources from the src.rpm: b7ddc4d85078ebfbdcb3cb041c70f1ebd477530f  rpmbuild/SOURCES/mysql-connector-python-0.3.2-devel.tar.gz
   sources from upstream:    b7ddc4d85078ebfbdcb3cb041c70f1ebd477530f  
   mysql-connector-python-0.3.2-devel.tar.gz


[OK] The package MUST successfully compile and build into binary rpms on at
     least one primary architecture.
    Build on koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=2926279

[N/A] If the package does not successfully compile, build or work on an
      architecture, then those architectures should be listed in the spec in
      ExcludeArch.

[OK] All build dependencies must be listed in BuildRequires, except for any
     that are listed in the exceptions section of the Packaging Guidelines ;
     inclusion of those as BuildRequires is optional.

[N/A] The spec file MUST handle locales properly. This is done by using the
      %find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.

[N/A] Every binary RPM package (or subpackage) which stores shared library
      files(not just symlinks) in any of the dynamic linker's default paths,
      must call ldconfig in %post and %postun.

[OK] Packages must NOT bundle copies of system libraries.

[N/A] If the package is designed to be relocatable, the packager must state
      this fact in the request for review, along with the rationalization for
      relocation of that specific package. Without this, use of Prefix: /usr is
      considered a blocker.

[OK] A package must own all directories that it creates. If it does not create
     a directory that it uses, then it should require a package which does
     create that directory.

[OK] A Fedora package must not list a file more than once in the spec file's
      %files listings. 

[OK] Permissions on files must be set properly. Executables should be set with
     executable permissions, for example. Every %files section must include a
     %defattr(...) line.

[OK] Each package must consistently use macros.

[OK] The package must contain code, or permissable content.

[N/A] Large documentation files must go in a -doc subpackage.
    The documentation is not big enough

[OK] If a package includes something as %doc, it must not affect the runtime
      of the application. To summarize: If it is in %doc, the program must run
      properly if it is not present.
 
[N/A] Header files must be in a -devel package.

[N/A] Static libraries must be in a -static package.

[N/A] If a package contains library files with a suffix (e.g. libfoo.so.1.1),
      then library files that end in .so (without suffix) must go in a -devel
      package.

[N/A] In the vast majority of cases, devel packages must require the base
      package using a fully versioned dependency: Requires: %{name} =
      %{version}-%{release}.

[N/A] Packages must NOT contain any .la libtool archives, these must be removed
      in the spec if they are built.

[N/A] Packages containing GUI applications must include a %{name}.desktop file,
      and that file must be properly installed with desktop-file-install in the
      %install section.

[OK] Packages must not own files or directories already owned by other
      packages.
 
[OK] All filenames in rpm packages must be valid UTF-8.


mysql-connector-python is therefore APPROVED

Comment 6 Remi Collet 2011-03-20 10:20:49 UTC
Thanks for the review.


New Package SCM Request
=======================
Package Name: mysql-connector-python
Short Description: MySQL Connector/Python
Owners: remi
Branches: f13 f14 f15
InitialCC:

Comment 7 Jason Tibbitts 2011-03-21 13:45:09 UTC
Git done (by process-git-requests).

Comment 8 Fedora Update System 2011-03-21 19:11:15 UTC
mysql-connector-python-0.3.2-2.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/mysql-connector-python-0.3.2-2.fc15

Comment 9 Fedora Update System 2011-03-21 19:11:38 UTC
mysql-connector-python-0.3.2-2.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/mysql-connector-python-0.3.2-2.fc14

Comment 10 Fedora Update System 2011-03-21 19:12:00 UTC
mysql-connector-python-0.3.2-2.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/mysql-connector-python-0.3.2-2.fc13

Comment 11 Fedora Update System 2011-03-22 03:29:46 UTC
mysql-connector-python-0.3.2-2.fc15 has been pushed to the Fedora 15 testing repository.

Comment 12 Fedora Update System 2011-03-30 19:55:43 UTC
mysql-connector-python-0.3.2-2.fc13 has been pushed to the Fedora 13 stable repository.

Comment 13 Fedora Update System 2011-03-30 20:02:34 UTC
mysql-connector-python-0.3.2-2.fc14 has been pushed to the Fedora 14 stable repository.

Comment 14 Fedora Update System 2011-03-31 20:04:30 UTC
mysql-connector-python-0.3.2-2.fc15 has been pushed to the Fedora 15 stable repository.

Comment 15 Remi Collet 2012-07-27 05:59:03 UTC
Package Change Request
======================
Package Name: mysql-connector-python
New Branches: el6
Owners: remi
InitialCC:

Comment 16 Gwyn Ciesla 2012-07-27 12:31:10 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.